StopParticipantReplication
Stops a replicated participant session.
Request Syntax
POST /StopParticipantReplication HTTP/1.1
Content-type: application/json
{
"destinationStageArn": "string",
"participantId": "string",
"sourceStageArn": "string"
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- destinationStageArn
-
ARN of the stage where the participant has been replicated.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 128.
Pattern:
arn:aws:ivs:[a-z0-9-]+:[0-9]+:stage/[a-zA-Z0-9-]+Required: Yes
- participantId
-
Participant ID of the publisher that has been replicated. This is assigned by IVS and returned by CreateParticipantToken or the
jti(JWT ID) used to create a self signed token.Type: String
Length Constraints: Minimum length of 0. Maximum length of 64.
Pattern:
[a-zA-Z0-9-]*Required: Yes
- sourceStageArn
-
ARN of the stage where the participant is publishing.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 128.
Pattern:
arn:aws:ivs:[a-z0-9-]+:[0-9]+:stage/[a-zA-Z0-9-]+Required: Yes
Response Syntax
HTTP/1.1 200
Access-Control-Allow-Origin: accessControlAllowOrigin
Access-Control-Expose-Headers: accessControlExposeHeaders
Cache-Control: cacheControl
Content-Security-Policy: contentSecurityPolicy
Strict-Transport-Security: strictTransportSecurity
X-Content-Type-Options: xContentTypeOptions
X-Frame-Options: xFrameOptions
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The response returns the following HTTP headers.
- accessControlAllowOrigin
-
See Access-Control-Allow-Origin
in the MDN Web Docs. - accessControlExposeHeaders
-
See Access-Control-Expose-Headers
in the MDN Web Docs. - cacheControl
-
See Cache-Control
in the MDN Web Docs. - contentSecurityPolicy
-
See Content-Security-Policy
in the MDN Web Docs. - strictTransportSecurity
-
See Strict-Transport-Security
in the MDN Web Docs. - xContentTypeOptions
-
See X-Content-Type-Options
in the MDN Web Docs. - xFrameOptions
-
See X-Frame-Options
in the MDN Web Docs.
Errors
For information about the errors that are common to all actions, see Common Errors.
- AccessDeniedException
-
- exceptionMessage
-
User does not have sufficient access to perform this action.
HTTP Status Code: 403
- InternalServerException
-
- exceptionMessage
-
Unexpected error during processing of request.
HTTP Status Code: 500
- ResourceNotFoundException
-
- exceptionMessage
-
Request references a resource which does not exist.
HTTP Status Code: 404
- ValidationException
-
- exceptionMessage
-
The input fails to satisfy the constraints specified by an AWS service.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: